# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1347  -> 1.1348 
#	drivers/acpi/events/evgpe.c	1.14    -> 1.15   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/10/17	len.brown@intel.com	1.1348
# [ACPI] fix acpi_ev_gpe_dispatch() parameter (Bob Moore)
# --------------------------------------------
#
diff -Nru a/drivers/acpi/events/evgpe.c b/drivers/acpi/events/evgpe.c
--- a/drivers/acpi/events/evgpe.c	Fri Oct 17 17:36:39 2003
+++ b/drivers/acpi/events/evgpe.c	Fri Oct 17 17:36:39 2003
@@ -217,8 +217,8 @@
 					gpe_number = (i * ACPI_GPE_REGISTER_WIDTH) + j;
 
 					int_status |= acpi_ev_gpe_dispatch (
-							  &gpe_block->event_info[gpe_number],
-							  gpe_number + gpe_block->register_info[gpe_number].base_gpe_number);
+							&gpe_block->event_info[gpe_number],
+							j + gpe_register_info->base_gpe_number);
 				}
 			}
 		}
